Description

Save As Dialog Boxes Incorrectly Display "Open" Button

The following dialog boxes should show a "Save" button rather than an "Open" button.

    -  File->Save Project As...

    -  File->Save as Image...

This is observed with trunk r5105, built with Qt 4.1.1

History

#1 - 2006-03-28 10:20 PM - Tim Baggett -

I have attached a patch to qgisapp.cpp which I believe fixes this issue for both "save project as" and "save as image" dialog boxes, in addition to two

another minor fixes.

    -  The dialog box is configured to open a file by default. By setting the accept mode to [[AcceptSave]], the "Open" button is now changed to "Save".

    -  The dialog box is now configured to confirm if the user has selected an existing file to be overwritten. The code that previously performed this check

and displayed a warning in fileSaveAs() was deleted in favor of the Qt confirmation. There was no corresponding check being performed in

saveMapAsImage() as far as I could find.

    -  The fileSaveAs() dialog box title is changed to match the existing title in the saveMapAsImage() dialog box.

A potential issue I see is that when the user is prompted to confirm overwriting an existing file, the titles are too long and are truncated in the confirmation

dialog box.

#2 - 2006-03-29 03:38 AM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Applied patch in revisiont commit:4aaf2460 (SVN r5108)

Note that the File->save dialog option still shows 'open' instead of 'save'.

Many thanks for this patch!
#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

patch.txt 2.02 KB 2006-03-28 Tim Baggett -
